DCMTK: FGCTImageFrameType Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
FGCTImageFrameType Class Reference

Class representing the "CT Image Frame Type" Functional Group Macro. More...

Inheritance diagram for FGCTImageFrameType:

## Public Member Functions
| FGCTImageFrameType ()
| Constructor, creates empty functional group.
virtual | ~FGCTImageFrameType ()
| Virtual destructor.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns shared functional group type (always "per-frame")
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete.
virtual OFCondition | read (DcmItem &item)
| Read CT Image Frame Type Sequence from given item.
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into CT Image Frame Type Sequence (newly created) into given item.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
virtual OFCondition | getFrameType (OFString &value, const signed long pos=0)
| Get Frame Type.
virtual OFCondition | getPixelPresentation (OFString &value, const signed long pos=0)
| Get Pixel Presentation.
virtual OFCondition | getPixelPresentation (E_PixelPresentation &value, const signed long pos=0)
| Get Pixel Presentation.
virtual OFCondition | getVolumetricProperties (OFString &value, const signed long pos=0)
| Get Volumetric Properties.
virtual OFCondition | getVolumetricProperties (E_VolumetricProperties &value, const signed long pos=0)
| Get Volumetric Properties.
virtual OFCondition | getVolumeBasedCalculationTechnique (OFString &value, const signed long pos=0)
| Get Volume Based Calculation Technique.
virtual OFCondition | setFrameType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Frame Type.
virtual OFCondition | setPixelPresentation (const OFString &value, const OFBool checkValue=OFTrue)
| Set Pixel Presentation.
virtual OFCondition | setPixelPresentation (const E_PixelPresentation &value, const OFBool checkValue=OFTrue)
| Set Pixel Presentation.
virtual OFCondition | setVolumetricProperties (const OFString &value, const OFBool checkValue=OFTrue)
| Set Volumetric Properties.
virtual OFCondition | setVolumetricProperties (const E_VolumetricProperties &value, const OFBool checkValue=OFTrue)
| Set Volumetric Properties.
virtual OFCondition | setVolumeBasedCalculationTechnique (const OFString &value, const OFBool checkValue=OFTrue)
| Set Volume Based Calculation Technique.
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
DcmCodeString | m_FrameType
| Frame Type (CS, VM 4, Required type 1)
DcmCodeString | m_PixelPresentation
| Pixel Presentation (CS, 1, 1)
DcmCodeString | m_VolumetricProperties
| Volumetric Properties (CS, 1, 1)
DcmCodeString | m_VolumeBasedCalculationTechnique
| Volume Based Calculation Technique (CS, 1, 1)

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the "CT Image Frame Type" Functional Group Macro.

Can only be used as per-frame functional group (never shared).

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTImageFrameType::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGCTImageFrameType::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGCTImageFrameType::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ getFrameType()

virtual OFCondition FGCTImageFrameType::getFrameType | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Frame Type.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getPixelPresentation() [1/2]

virtual OFCondition FGCTImageFrameType::getPixelPresentation | ( | E_PixelPresentation & | value,
|  | const signed long | pos = 0 )
| virtual

Get Pixel Presentation.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getPixelPresentation() [2/2]

virtual OFCondition FGCTImageFrameType::getPixelPresentation | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Pixel Presentation.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGCTImageFrameType::getSharedType | ( |  | ) | const
| inlinevirtual

Returns shared functional group type (always "per-frame")

Returns
  The functional group type (DcmFGTypes::EFGS_BOTH)

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ getVolumeBasedCalculationTechnique()

virtual OFCondition FGCTImageFrameType::getVolumeBasedCalculationTechnique | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Volume Based Calculation Technique.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getVolumetricProperties() [1/2]

virtual OFCondition FGCTImageFrameType::getVolumetricProperties | ( | E_VolumetricProperties & | value,
|  | const signed long | pos = 0 )
| virtual

Get Volumetric Properties.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getVolumetricProperties() [2/2]

virtual OFCondition FGCTImageFrameType::getVolumetricProperties | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Volumetric Properties.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ read()

virtual OFCondition FGCTImageFrameType::read | ( | DcmItem & | item | ) |
| virtual

Read CT Image Frame Type Sequence from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setFrameType()

virtual OFCondition FGCTImageFrameType::setFrameType | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Frame Type.

Parameters

  value | Value that should be set
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setPixelPresentation() [1/2]

virtual OFCondition FGCTImageFrameType::setPixelPresentation | ( | const E_PixelPresentation & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Pixel Presentation.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setPixelPresentation() [2/2]

virtual OFCondition FGCTImageFrameType::setPixelPresentation | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Pixel Presentation.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setVolumeBasedCalculationTechnique()

virtual OFCondition FGCTImageFrameType::setVolumeBasedCalculationTechnique | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Volume Based Calculation Technique.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setVolumetricProperties() [1/2]

virtual OFCondition FGCTImageFrameType::setVolumetricProperties | ( | const E_VolumetricProperties & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Volumetric Properties.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setVolumetricProperties() [2/2]

virtual OFCondition FGCTImageFrameType::setVolumetricProperties | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Volumetric Properties.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTImageFrameType::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into CT Image Frame Type Sequence (newly created) into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctimageframetype.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2